spark-commits mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From gurwls...@apache.org
Subject spark git commit: [SPARK-22324][SQL][PYTHON][FOLLOW-UP] Update setup.py file.
Date Wed, 27 Dec 2017 11:51:31 GMT
Repository: spark
Updated Branches:
  refs/heads/master 6674acd1e -> b8bfce51a


[SPARK-22324][SQL][PYTHON][FOLLOW-UP] Update setup.py file.

## What changes were proposed in this pull request?

This is a follow-up pr of #19884 updating setup.py file to add pyarrow dependency.

## How was this patch tested?

Existing tests.

Author: Takuya UESHIN <ueshin@databricks.com>

Closes #20089 from ueshin/issues/SPARK-22324/fup1.


Project: http://git-wip-us.apache.org/repos/asf/spark/repo
Commit: http://git-wip-us.apache.org/repos/asf/spark/commit/b8bfce51
Tree: http://git-wip-us.apache.org/repos/asf/spark/tree/b8bfce51
Diff: http://git-wip-us.apache.org/repos/asf/spark/diff/b8bfce51

Branch: refs/heads/master
Commit: b8bfce51abf28c66ba1fc67b0f25fe1617c81025
Parents: 6674acd
Author: Takuya UESHIN <ueshin@databricks.com>
Authored: Wed Dec 27 20:51:26 2017 +0900
Committer: hyukjinkwon <gurwls223@gmail.com>
Committed: Wed Dec 27 20:51:26 2017 +0900

----------------------------------------------------------------------
 python/README.md | 2 +-
 python/setup.py  | 3 ++-
 2 files changed, 3 insertions(+), 2 deletions(-)
----------------------------------------------------------------------


http://git-wip-us.apache.org/repos/asf/spark/blob/b8bfce51/python/README.md
----------------------------------------------------------------------
diff --git a/python/README.md b/python/README.md
index 84ec881..3f17fdb 100644
--- a/python/README.md
+++ b/python/README.md
@@ -29,4 +29,4 @@ The Python packaging for Spark is not intended to replace all of the other
use c
 
 ## Python Requirements
 
-At its core PySpark depends on Py4J (currently version 0.10.6), but additional sub-packages
have their own requirements (including numpy and pandas).
+At its core PySpark depends on Py4J (currently version 0.10.6), but some additional sub-packages
have their own extra requirements for some features (including numpy, pandas, and pyarrow).

http://git-wip-us.apache.org/repos/asf/spark/blob/b8bfce51/python/setup.py
----------------------------------------------------------------------
diff --git a/python/setup.py b/python/setup.py
index 310670e..251d452 100644
--- a/python/setup.py
+++ b/python/setup.py
@@ -201,7 +201,7 @@ try:
         extras_require={
             'ml': ['numpy>=1.7'],
             'mllib': ['numpy>=1.7'],
-            'sql': ['pandas>=0.19.2']
+            'sql': ['pandas>=0.19.2', 'pyarrow>=0.8.0']
         },
         classifiers=[
             'Development Status :: 5 - Production/Stable',
@@ -210,6 +210,7 @@ try:
             'Programming Language :: Python :: 3',
             'Programming Language :: Python :: 3.4',
             'Programming Language :: Python :: 3.5',
+            'Programming Language :: Python :: 3.6',
             'Programming Language :: Python :: Implementation :: CPython',
             'Programming Language :: Python :: Implementation :: PyPy']
     )


---------------------------------------------------------------------
To unsubscribe, e-mail: commits-unsubscribe@spark.apache.org
For additional commands, e-mail: commits-help@spark.apache.org


Mime
View raw message